> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Backend Characterizations

> This endpoint retrieves an array of all available backend characterizations, with pagination.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /characterizations/backends/{backend}
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /characterizations/backends/{backend}:
    get:
      tags:
        - characterizations
      summary: Get All Backend Characterizations
      description: >-
        This endpoint retrieves an array of all available backend
        characterizations, with pagination.
      operationId: getCharacterizationsForBackend
      parameters:
        - $ref: '#/components/parameters/backend'
        - name: start
          in: query
          description: >-
            Characterizations starting at this time (e.g.,
            `start=1585713600000`)
          schema:
            type: integer
        - name: end
          in: query
          description: Characterizations before this time (e.g., `end=1585713600000`)
          schema:
            type: integer
        - name: limit
          in: query
          description: How many objects to return.
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 10
        - $ref: '#/components/parameters/pagination-page'
      responses:
        '200':
          $ref: '#/components/responses/ListCharacterizations'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.3/characterizations/backends/qpu.harmony" \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    backend:
      name: backend
      in: path
      required: true
      description: A backend where jobs can run on.
      schema:
        type: string
        enum:
          - qpu.harmony
          - qpu.aria-1
          - qpu.aria-2
          - qpu.forte-1
          - qpu.forte-enterprise-1
    pagination-page:
      name: page
      in: query
      schema:
        $ref: '#/components/schemas/pagination-page'
  responses:
    ListCharacterizations:
      description: Successfully retrieved characterizations.
      content:
        application/json:
          schema:
            type: object
            description: Response body from requesting characterization data.
            required:
              - characterizations
            properties:
              characterizations:
                type: array
                description: A page of characterizations measurements.
                items:
                  $ref: '#/components/schemas/Characterization'
              pages:
                type: integer
                description: >-
                  The number of remaining pages of characterization
                  measurements.
  schemas:
    pagination-page:
      type: integer
      default: 1
      minimum: 1
      description: Specify the page of results to return.
    Characterization:
      type: object
      description: Quantum hardware characterization data.
      properties:
        id:
          type: string
          description: UUID of the characterization.
          format: uuid
        date:
          type: integer
          description: Time of the measurement, from Unix epoch in seconds.
        backend:
          type: string
          description: The calibrated QPU being characterized.
          enum:
            - qpu.harmony
            - qpu.aria-1
            - qpu.aria-2
            - qpu.forte-1
            - qpu.forte-enterprise-1
        qubits:
          type: integer
          description: The number of qubits available.
          minimum: 0
        connectivity:
          type: array
          description: >-
            An array of valid, unordered tuples of possible qubits for executing
            two-qubit gates (e.g., `[[0, 1], [0, 2], [1, 2]]`)
          example:
            - - 0
              - 1
            - - 0
              - 2
            - ...
            - - 10
              - 9
          items:
            type: array
            items:
              type: integer
        fidelity:
          type: object
          description: >
            Fidelity for single-qubit (`1q`) and two-qubit (`2q`) gates, and
            State Preparation and Measurement (`spam`) operations.

            Currently provides only mean fidelity; additional statistical data
            will be added in the future.
          required:
            - spam
          properties:
            spam:
              type: object
              description: SPAM error correction information.
              required:
                - mean
              properties:
                mean:
                  type: number
                  description: Mean SPAM value.
                  minimum: 0
                stderr:
                  type: number
                  description: SPAM error.
                  minimum: 0
                median:
                  type: number
                  description: Median SPAM error.
                  minimum: 0
        timing:
          type: object
          description: >-
            Time, in seconds, of various system properties: `t1` time, `t2`
            time, `1q` gate time, `2q` gate time, `readout` time, and qubit
            `reset` time.
          required:
            - readout
            - reset
            - 1q
            - 2q
            - t1
            - t2
          properties:
            readout:
              type: number
              description: Readout time.
            reset:
              type: number
              description: Qubit reset time.
            1q:
              type: number
              description: 1Q gate time.
            2q:
              type: number
              description: 2Q gate time.
            t1:
              type: number
              description: Qubit lifetime.
            t2:
              type: number
              description: Qubit coherence time.
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````